package org.wfc.omada.api.maintenance.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * SelfGlobalBackupVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:40:12.680+08:00[Asia/Shanghai]")

public class SelfGlobalBackupVo   {
  @JsonProperty("retainUser")
  private Boolean retainUser;

  public SelfGlobalBackupVo retainUser(Boolean retainUser) {
    this.retainUser = retainUser;
    return this;
  }

  /**
   * Whether saving user info.
   * @return retainUser
  */
  @ApiModelProperty(required = true, value = "Whether saving user info.")
  @NotNull


  public Boolean getRetainUser() {
    return retainUser;
  }

  public void setRetainUser(Boolean retainUser) {
    this.retainUser = retainUser;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SelfGlobalBackupVo selfGlobalBackupVo = (SelfGlobalBackupVo) o;
    return Objects.equals(this.retainUser, selfGlobalBackupVo.retainUser);
  }

  @Override
  public int hashCode() {
    return Objects.hash(retainUser);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SelfGlobalBackupVo {\n");
    
    sb.append("    retainUser: ").append(toIndentedString(retainUser)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

